Subject: Re: bug#8325: 24.0.50; info-mode help is missing reference to `b' command

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Aug 2011 17:36:04 -0400

>>> I'll create a new command `Info-beginning-of-buffer' and do the
>>> advertising on that instead.
>> Please don't.  It's specifically to avoid such hacks that
>> I added :advertised-binding.  We should extend the feature to cover
>> buffer-local cases.
> I can back out the patch,

Yes, please.  Currently where-is does not give correct results because
it doesn't know that the two commands are the same.

> but extending :advertised-binding doesn't
> sound like an Emacs 24.1-appropriate change to me...

Indeed.  I guess using the existing :advertised-binding for now is the
best we can do (it happens to work since that command is not bound to
`b' anywhere else and doesn't use :advertised-binding anywhere else
either).

        Stefan